Name:		__MKIT_PROJ_PKGNAME__
Version:	__MKIT_PROJ_VERSION__
Release:	1%{?dist}
Summary:	__MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__

License:	LGPLv2
Source0:	%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils git
Requires:	shellfu-bash
Requires:	shellfu-bash-core
Requires:	shellfu-bash-extras

%description
saturnin is Shellfu library that helps you easily build toolkit from
various scripts that you may have lying around.  Instead of having a
herd of untamed undocumented and hard-to-share scripts, with help of
saturnin you can easily create and package a meta-command with a set
of discoverable and maintainable sub-commands.

This package contains a demo meta-command built with saturnin; you can
also re-use the source as template for your new toolkit.

%prep
%setup -q


%build
# %%configure
make %{?_smp_mflags}

%install
%make_install

%files
%config %{_sysconfdir}/bash_completion.d/satcmd.bash
%dir /usr/local/libexec/satcmd
%dir /usr/local/share/satcmd
%dir /usr/local/share/satcmd/ini.d
%dir /usr/local/share/satcmd/ini.d/main
%dir /usr/local/share/satcmd/shellfu
%doc /usr/local/share/doc/satcmd/README.md
/usr/local/bin/satcmd
/usr/local/libexec/satcmd/satcmd-dump
/usr/local/libexec/satcmd/satcmd-echo
/usr/local/share/satcmd/ini.d/main/echo.ini
/usr/local/share/satcmd/shellfu/saturnin.sh


%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
